Subject: Re: Oops in 2.6.21-rc4, 2.6.23

From: David Miller <[email-masked]>
Date: Mon, 29 Oct 2007 01:41:47 -0700 (PDT)

From: Jarek Poplawski <[email-masked]>
Date: Mon, 29 Oct 2007 09:42:32 +0100

> I hope you've found this by yourself by now, but:
> 
> 1. These are warnings only - not oopses.
> 2. It seems this patch you've found to be responsible for this all
> slightly changes some limits, which is not necessarily wrong; the
> lucky thing is you can change these limits with sysctl or some
> echos to /proc/sys/net/ipv4/tcp_mem, I presume. (Or more safely by
> adding some memory.)

Actually, this was caused by a real bug in the SKB_WITH_OVERHEAD macro
definition, which Herbert Xu quickly spotted and fixed.

Which "I hope you've found this by yourself by now".